# EXTERNAL_POTENTIAL

Section controlling the presence of an electrostatic external potential dependent on the atomic positions (X,Y,Z). As the external potential is currently applied via a grid, it only works with DFT based methods (GPW/GAPW) that already use a grid based approach to solve the Poisson equation. [Edit on GitHub]

Subsections

- MAXWELL

## Keywords

- DX

- ERROR_LIMIT

- FUNCTION

- PARAMETERS

- READ_FROM_CUBE

- SCALING_FACTOR

- STATIC

- UNITS

- VALUES

## Keyword descriptions

DX: real = 1.00000000E-001 [bohr]

  Usage: DX <REAL>

  Parameter used for computing the derivative with the Ridders’ method. [Edit on GitHub]

ERROR_LIMIT: real = 1.00000000E-012

  Usage: ERROR_LIMIT <REAL>

  Checks that the error in computing the derivative is not larger than the value set; in case error is larger a warning message is printed. [Edit on GitHub]

FUNCTION: string

  Usage: FUNCTION X^2+Y^2+Z^2+LOG(ABS(X+Y))

  Specifies the functional form in mathematical notation. Variables must be the atomic coordinates (X,Y,Z) of the grid. [Edit on GitHub]

PARAMETERS: string[ ]

  Keyword can be repeated.

  Usage: PARAMETERS a b D

  Defines the parameters of the functional form [Edit on GitHub]

READ_FROM_CUBE: logical = F

  Lone keyword: `T`

  Usage: READ_FROM_CUBE T

  Switch for reading the external potential from file pot.cube. The values of the potential must be on the grid points of the realspace grid. [Edit on GitHub]

SCALING_FACTOR: real = 1.00000000E+000

  Usage: SCALING_FACTOR <REAL>

  A factor for scaling the the external potential that is read from file. The value of the potential at each grid point is multiplied by this factor. [Edit on GitHub]

STATIC: logical = T

  Lone keyword: `T`

  Usage: STATIC T

  Specifies the external potential as STATIC or time dependent. At the moment only static potentials are implemented. [Edit on GitHub]

UNITS: string[ ]

  Keyword can be repeated.

  Usage: UNITS angstrom eV*angstrom^-1 angstrom^1 K

  Optionally, allows to define valid CP2K unit strings for each parameter value. It is assumed that the corresponding parameter value is specified in this unit. [Edit on GitHub]

VALUES: real[ ] = [internal_cp2k]

  Keyword can be repeated.

  Usage: VALUES

  Defines the values of parameter of the functional form [Edit on GitHub]